Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp
Class PageContext

    java.lang.Object
      |
      +--javax.servlet.jsp.PageContext

public abstract class PageContext
extends java.lang.Object

Field Summary
`static java.lang.String` | `APPLICATION`
`static int` | `APPLICATION_SCOPE`
`static java.lang.String` | `CONFIG`
`static java.lang.String` | `EXCEPTION`
`static java.lang.String` | `OUT`
`static java.lang.String` | `PAGE`
`static int` | `PAGE_SCOPE`
`static java.lang.String` | `PAGECONTEXT`
`static java.lang.String` | `REQUEST`
`static int` | `REQUEST_SCOPE`
`static java.lang.String` | `RESPONSE`
`static java.lang.String` | `SESSION`
`static int` | `SESSION_SCOPE`

Constructor Summary
`PageContext()`

Method Summary
`abstract java.lang.Object` | `findAttribute(java.lang.String name)` Finds an attribute in all scopes.
`abstract void` | `forward(java.lang.String relativeUrl)`
`abstract java.lang.Object` | `getAttribute(java.lang.String name)`
`abstract java.lang.Object` | `getAttribute(java.lang.String name, int scope)` Gets an attribute in a given scope.
`abstract java.util.Enumeration` | `getAttributeNames()`
`abstract java.util.Enumeration` | `getAttributeNamesInScope(int scope)` Lists attribute names in a given scope.
`abstract int` | `getAttributesScope(java.lang.String name)` Returns the scope for an attribute.
`abstract java.lang.Exception` | `getException()`
`abstract JspWriter` | `getOut()`
`abstract java.lang.Object` | `getPage()`
`abstract ServletRequest` | `getRequest()`
`abstract ServletResponse` | `getResponse()`
`abstract ServletConfig` | `getServletConfig()`
`abstract ServletContext` | `getServletContext()`
`abstract HttpSession` | `getSession()`
`abstract void` | `handlePageException(java.lang.Exception e)` Internal routine to support errorPages
`abstract void` | `include(java.lang.String relativeUrl)`
`abstract void` | `initialize(Servlet servlet, ServletRequest request, ServletResponse response, java.lang.String errorPageURL, boolean needsSession, int bufferSize, boolean autoFlush)` Internal routine to initialize the PageContext for a page.
`abstract JspWriter` | `popBody()` Internal routine to support BodyTags.
`abstract BodyContent` | `pushBody()` Internal routine to support BodyTags.
`abstract void` | `release()` Internal routine to free PageContext resources at the end of a page.
`abstract void` | `removeAttribute(java.lang.String name)`
`abstract void` | `removeAttribute(java.lang.String name, int scope)` Removes an attribute in a given scope.
`abstract void` | `setAttribute(java.lang.String name, java.lang.Object attribute)`
`abstract void` | `setAttribute(java.lang.String name, java.lang.Object o, int scope)` Sets an attribute in a given scope.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PAGE_SCOPE

    public static final int PAGE_SCOPE

### REQUEST_SCOPE

    public static final int REQUEST_SCOPE

### SESSION_SCOPE

    public static final int SESSION_SCOPE

### APPLICATION_SCOPE

    public static final int APPLICATION_SCOPE

### PAGE

    public static final java.lang.String PAGE

### PAGECONTEXT

    public static final java.lang.String PAGECONTEXT

### REQUEST

    public static final java.lang.String REQUEST

### RESPONSE

    public static final java.lang.String RESPONSE

### CONFIG

    public static final java.lang.String CONFIG

### SESSION

    public static final java.lang.String SESSION

### OUT

    public static final java.lang.String OUT

### APPLICATION

    public static final java.lang.String APPLICATION

### EXCEPTION

    public static final java.lang.String EXCEPTION

Constructor Detail

### PageContext

    public PageContext()

Method Detail

### getAttribute

    public abstract java.lang.Object getAttribute(java.lang.String name)

### setAttribute

    public abstract void setAttribute(java.lang.String name,
                                      java.lang.Object attribute)

### removeAttribute

    public abstract void removeAttribute(java.lang.String name)

### getAttributeNames

    public abstract java.util.Enumeration getAttributeNames()

### getOut

    public abstract JspWriter getOut()

### getSession

    public abstract HttpSession getSession()

### getPage

    public abstract java.lang.Object getPage()

### getRequest

    public abstract ServletRequest getRequest()

### getResponse

    public abstract ServletResponse getResponse()

### getException

    public abstract java.lang.Exception getException()

### getServletConfig

    public abstract ServletConfig getServletConfig()

### getServletContext

    public abstract ServletContext getServletContext()

### forward

    public abstract void forward(java.lang.String relativeUrl)
                          throws ServletException,
                                 java.io.IOException

### include

    public abstract void include(java.lang.String relativeUrl)
                          throws ServletException,
                                 java.io.IOException

### initialize

    public abstract void initialize(Servlet servlet,
                                    ServletRequest request,
                                    ServletResponse response,
                                    java.lang.String errorPageURL,
                                    boolean needsSession,
                                    int bufferSize,
                                    boolean autoFlush)
                             throws java.io.IOException

  Internal routine to initialize the PageContext for a page.

### setAttribute

    public abstract void setAttribute(java.lang.String name,
                                      java.lang.Object o,
                                      int scope)

  Sets an attribute in a given scope. You should use the scope-specific routines instead, like request.setAttribute.

### getAttribute

    public abstract java.lang.Object getAttribute(java.lang.String name,
                                                  int scope)

  Gets an attribute in a given scope. You should use the scope-specific routines instead, like request.getAttribute.

### removeAttribute

    public abstract void removeAttribute(java.lang.String name,
                                         int scope)

  Removes an attribute in a given scope. You should use the scope-specific routines instead, like request.removeAttribute.

### getAttributeNamesInScope

    public abstract java.util.Enumeration getAttributeNamesInScope(int scope)

  Lists attribute names in a given scope. You should use the scope-specific routines instead, like request.getAttributeNames

### getAttributesScope

    public abstract int getAttributesScope(java.lang.String name)

  Returns the scope for an attribute.

### findAttribute

    public abstract java.lang.Object findAttribute(java.lang.String name)

  Finds an attribute in all scopes.

### pushBody

    public abstract BodyContent pushBody()

  Internal routine to support BodyTags.

### popBody

    public abstract JspWriter popBody()

  Internal routine to support BodyTags.

### handlePageException

    public abstract void handlePageException(java.lang.Exception e)
                                      throws ServletException,
                                             java.io.IOException

  Internal routine to support errorPages

### release

    public abstract void release()

  Internal routine to free PageContext resources at the end of a page.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD